cURL
curl --request GET \
--url http://127.0.0.1:3333/v3/webhooks/{botId}/metrics \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/webhooks/{botId}/metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/webhooks/{botId}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"scope": {
"workspaceId": "<string>",
"botId": "<string>",
"webhookId": "<string>"
},
"timeRange": "24h",
"windowStart": "<string>",
"windowEnd": "<string>",
"deliveries": {
"total": 123,
"queued": 123,
"processing": 123,
"success": 123,
"failed": 123,
"dead": 123
},
"latency": {
"sampleSize": 123,
"p50Ms": 123,
"p95Ms": 123,
"p99Ms": 123
}
}Additional Endpoints
Get Metrics
Get Metrics with the Sendbot API v3.
GET
/
v3
/
webhooks
/
{botId}
/
metrics
cURL
curl --request GET \
--url http://127.0.0.1:3333/v3/webhooks/{botId}/metrics \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/webhooks/{botId}/metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/webhooks/{botId}/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"scope": {
"workspaceId": "<string>",
"botId": "<string>",
"webhookId": "<string>"
},
"timeRange": "24h",
"windowStart": "<string>",
"windowEnd": "<string>",
"deliveries": {
"total": 123,
"queued": 123,
"processing": 123,
"success": 123,
"failed": 123,
"dead": 123
},
"latency": {
"sampleSize": 123,
"p50Ms": 123,
"p95Ms": 123,
"p99Ms": 123
}
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Available options:
24h, 7d, 30d